# Landing Page

This function retrieves a landing page based on the given pk . It includes the page content, visuals, campaign blocks, and custom components.

The **getLandingPageData** function is imported from `'@akinon/next/data/server'`.

```javascript
import { getLandingPageData } from '@akinon/next/data/server';
```

This function can be used like this:

```javascript
import { getLandingPageData } from '@akinon/next/data/server';
import { withSegmentDefaults } from '@akinon/next/hocs/server';
import { PageProps } from '@akinon/next/types';

async function Page({ params }: PageProps<{ pk: number }>) {
 const data = await getLandingPageData({ pk: params.pk });

 const content = data.landing_page;

 return (
   <div className="container mx-auto py-6">
     <div className="mx-auto prose prose-headings:text-primary">
       Landing page {JSON.stringify(content)}
     </div>
   </div>
 );
}

export default withSegmentDefaults(Page, {
 segmentType: 'page'
});
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.akinon.com/technical-guides/project-zero/next.js/plugins/akinon-next/data-fetching/server/landing-page.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
